<?php
/**
 * Loads the header for mgr pages.
 *
 * @package group_edit
 * @subpackage controllers
 */

$modx->regClientStartupScript($modx->getOption('assets_url').'components/group_edit/js/mgr/group_edit.js');
$modx->regClientCSS($modx->getOption('assets_url').'components/group_edit/css/mgr.css');

$lang = $modx->getOption('manager_language',null,'ru');
$modx->lexicon->load($lang.':group_edit:default');

//Настройки
$menu = $modx->getObject('modMenu',array('action'=>$_GET['a']));
$groupEdit_config = array();
$groupEdit_config['parent_name'] = $menu->get('text');
$groupEdit_config['parent_id'] = '0';
$groupEdit_config['fields'] = array();
$mod_type = isset($_GET['type']) && is_numeric($_GET['type']) ? $_GET['type'] : 1;

if(!empty($modx->config['group_edit.parent_name'])){
    
    $parent_name_arr = explode(',',$modx->config['group_edit.parent_name']);
    $settings_index = $mod_type-1;
    $groupEdit_config['parent_name'] = $parent_name_arr[$settings_index];
    
    $groupEdit_config['parent_name'] = $parent_name_arr[$settings_index];
    $category_id_arr = explode(',',str_replace(' ','',$modx->config['group_edit.parent_id']));
    $fields_arr = explode('||',str_replace(' ','',$modx->config['group_edit.fields']));
    $groupEdit_config['parent_id'] = isset($category_id_arr[$settings_index]) ? $category_id_arr[$settings_index] : $category_id_arr[0];
    $temp_arr = isset($fields_arr[$settings_index]) ? explode(',',$fields_arr[$settings_index]) : explode(',',$fields_arr[0]);
    $groupEdit_config['fields'] = array();
    foreach($temp_arr as $k => $v){
        if(is_numeric($v)){
            $tv = $modx->getObject('modTemplateVar',array('id'=>$v));
            $groupEdit_config['fields']['tv'.$v] = !empty($tv) ? $tv->get('caption') : '';
        }else{
            $groupEdit_config['fields'][$v] = $modx->lexicon('group_edit.'.$v)!='group_edit.'.$v ? $modx->lexicon('group_edit.'.$v) : $modx->lexicon($v);
        }
    }
    unset($temp_arr,$k,$v);
    
}

$parent = $modx->getObject('modResource',$groupEdit_config['parent_id']);
$parent_context = $parent ? $parent->get('context_key') : 'web';

$modx->regClientStartupHTMLBlock('<script type="text/javascript">
grEdit.config = '.$modx->toJSON(array('modName'=>$groupEdit_config['parent_name'],'topParentId'=>intval($groupEdit_config['parent_id']),'hide_children_in_tree'=>$modx->config['group_edit.hide_children_in_tree']==true)).';
grEdit.config.new_res = 0;
grEdit.config.connector_url = "'.$modx->getOption('assets_url').'components/group_edit/connector.php";
grEdit.config.parentId = "'.$groupEdit_config['parent_id'].'";
grEdit.config.fields = '.(count($groupEdit_config['fields'])>0 ? $modx->toJSON($groupEdit_config['fields']) : '{}').';
grEdit.config.context = "'.$parent_context.'";
grEdit.request = '.$modx->toJSON($_GET).';
MODx.config.publish_document = true;
</script>');

$context = $modx->getObject('modContext','mgr');
if (!$context) { return $modx->error->failure($modx->lexicon('context_err_nf')); }
$context->prepare();

/* Set which RTE */
if ($context->getOption('use_editor', false, $modx->_userConfig)) {
    $rte = $context->getOption('which_editor', '', $modx->_userConfig);
    /* invoke OnRichTextEditorRegister event */
    $text_editors = $modx->invokeEvent('OnRichTextEditorRegister');
    $replace_richtexteditor = array();//array('ta');

    /* invoke OnRichTextEditorInit event */
    $onRichTextEditorInit = $modx->invokeEvent('OnRichTextEditorInit',array(
        'editor' => $rte,
        'elements' => $replace_richtexteditor,
        'id' => 0,
        'mode' => modSystemEvent::MODE_NEW//MODE_UPD
    ));
}

return '';